ozziepi
Posts: 2
Joined: Sun Aug 18, 2019 12:31 am

Error Updating Recommended Software Packege

Sun Aug 18, 2019 12:42 am

Hi,
Absolute first time user here. Just got my Raspberry Pi 4.
When I click on Recommended Software Package I get following:

Error updating package E; Repository 'http://raspbian.raspberrypi.org/raspbian buster InRelease' changed its 'Suite' value from 'testing' to 'stable'

and it fails to load. Tried repeatedly. no luck.
Any suggestions?

User avatar
ukscone
Forum Moderator
Forum Moderator
Posts: 4202
Joined: Fri Jul 29, 2011 2:51 pm
Contact: Website

Re: Error Updating Recommended Software Packege

Sun Aug 18, 2019 1:01 am

open a terminal and type

Code: Select all

sudo apt-get update --allow-releaseinfo-change
type Y when asked and once it completes all should work as expected

ozziepi
Posts: 2
Joined: Sun Aug 18, 2019 12:31 am

Re: Error Updating Recommended Software Packege

Sun Aug 18, 2019 1:10 am

Thank you for your very quick response!! All worked.

k8zfj
Posts: 6
Joined: Sat Aug 10, 2019 3:40 pm
Location: RI

Re: Error Updating Recommended Software Packege

Sun Aug 18, 2019 3:39 pm

I experienced same. Ty for, info.

Any idea what caused it?
Randy

User avatar
davidcoton
Posts: 4646
Joined: Mon Sep 01, 2014 2:37 pm
Location: Cambridge, UK

Re: Error Updating Recommended Software Packege

Sun Aug 18, 2019 3:41 pm

k8zfj wrote:
Sun Aug 18, 2019 3:39 pm
Any idea what caused it?
Yes. A change in the release status of Buster.
Signature retired

RevJimD
Posts: 2
Joined: Sun Sep 15, 2019 1:07 pm

Re: Error Updating Recommended Software Packege

Sun Sep 15, 2019 1:27 pm

I have just powered up my new Pi 4 and had the same problem. Thanks that the problem was so quickly fixed through the forum.
As a new pi user, I am sure I will be back.

Return to “Beginners”